## org.hibernate
Class TransactionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.TransactionException

All Implemented Interfaces:
  Serializable

    public class TransactionException

extends HibernateException

Indicates that a transaction could not be begun, committed or rolled back.

See Also:
  `Transaction`, Serialized Form

Constructor Summary
`TransactionException(String message)`
`TransactionException(String message, Throwable root)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionException

    public TransactionException(String message,
                                Throwable root)

### TransactionException

    public TransactionException(String message)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.